Bug 1898065 - ibus fails to build on rawhide: cannot stat './dicts/emoji-root.dict': No such file or directory
Summary: ibus fails to build on rawhide: cannot stat './dicts/emoji-root.dict': No suc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F34FTBFS PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-11-16 10:14 UTC by Miro Hrončok
Modified: 2020-11-25 01:35 UTC (History)
4 users (show)

Fixed In Version: ibus-1.5.23-2.fc34 ibus-1.5.23-2.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-20 06:47:18 UTC
Type: Bug


Attachments (Terms of Use)
build.log from Koji (x86_64) (644.76 KB, text/plain)
2020-11-16 10:14 UTC, Miro Hrončok
no flags Details
root.log from Koji (x86_64) (145.70 KB, text/plain)
2020-11-16 10:16 UTC, Miro Hrončok
no flags Details

Description Miro Hrončok 2020-11-16 10:14:42 UTC
Created attachment 1729737 [details]
build.log from Koji (x86_64)

ibus ibus-1.5.23-1.fc34 from https://src.fedoraproject.org/rpms/ibus/tree/40c9f25d25e31dd716f450eeb84a529596f0d368 fals to build in rawhide with:

install: cannot stat './dicts/emoji-root.dict': No such file or directory
install: cannot stat './dicts/emoji-sr_Cyrl.dict': No such file or directory

Full log attached, from https://koji.fedoraproject.org/koji/taskinfo?taskID=55678185 (x86_64).

This is blocking the Python 3.10 rebuild and hence it is important for us to see it fixed.


For all our attempts to build ibus with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/ibus/

Testing and mass rebuild of packages with Python 3.10 is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Setting severity to high, because ibus is a critpath package.

Comment 1 Miro Hrončok 2020-11-16 10:16:11 UTC
Created attachment 1729738 [details]
root.log from Koji (x86_64)

Comment 2 Miro Hrončok 2020-11-16 10:17:24 UTC
Note that ibus was not tracked in koschei, so we won't easily know what caused this and when it started. I've enabled it now:

https://koschei.fedoraproject.org/package/ibus?collection=f34

Comment 3 Fedora Update System 2020-11-20 03:48:39 UTC
FEDORA-2020-49f4e225ac has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-49f4e225ac

Comment 4 Miro Hrončok 2020-11-20 06:47:18 UTC
Thanks for the fix.

Comment 5 Fedora Update System 2020-11-21 02:43:19 UTC
FEDORA-2020-49f4e225ac has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-49f4e225ac`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-49f4e225ac

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-11-25 01:35:28 UTC
FEDORA-2020-49f4e225ac has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.